# Telegram Bot Commands

## Getting a Stock Quote

Anytime the Bot is in your chat it will search all chats for `$` followed by a ticker. For example `$tsla` will return the following message for Tesla Motors:

```
The current stock price of Tesla Inc. is $321.35, the stock is currently up 2.7%
```

This works no matter where the ticker is in the message and you can have as many tickers as you want in the same message. For example:

```
I wonder how $aapl, $nflx, and $sono are performing today.
```

Will return:

![Conversation With Simple Telegram Bot](img\telegramBotTickerReply.png)

## Commands

- [`/help`](#/help) - Create a new project.
- [`/news`](#/news) - Start the live-reloading docs server.

### /help

This command just displays a short description of what the bot does and a link to this page.

### /news

This command is intelligent enough to get any tickers in the ticker format: `$amzn`, and can handle as many tickers as you would like to enter. For example saying `/news $tsla $aapl` would reply two different messages one for each ticker with a few news articles provided by the [IEX API](https://iexcloud.io/s/62c8503e).

_The bots need more commands, feel free to [open an issue](https://gitlab.com/simple-stock-bots/simple-telegram-stock-bot/-/issues) with suggestions._

[All market data is provided by IEX Cloud](https://iexcloud.io)
